Displaying 6 results from an estimated 6 matches for "a6c269e".
Did you mean:
76c26ee
2019 Jan 23
0
[PATCH nbdkit] tests: Add generic ‘requires’ function to testing test prerequisites.
...e $?"
+ echo "$0: test prerequisite is missing or not working"
+ exit 77
+ }
+}
+
# start_nbdkit -P pidfile args...
#
# Run nbdkit with args and wait for it to start up. If it fails to
diff --git a/tests/test-memory-largest.sh b/tests/test-memory-largest.sh
index a6c269e..50708f9 100755
--- a/tests/test-memory-largest.sh
+++ b/tests/test-memory-largest.sh
@@ -37,16 +37,12 @@
source ./functions.sh
set -e
+requires qemu-io --help
+
files="memory-largest.out memory-largest.pid memory-largest.sock"
rm -f $files
cleanup_fn rm -f $files
-# Test that qe...
2019 Jan 23
2
[PATCH nbdkit] tests: Add generic requires function.
I only did a handful of the tests to demonstrate the point. If the
patch approach is accepted then I'll do the remainder of the tests in v2.
Rich.
2019 Jan 23
0
[PATCH v2 nbdkit] tests: Add generic ‘requires’ function for test prerequisites.
...oken qemu-io"
- exit 77
-fi
-
# Run nbdkit with memory plugin.
# size = (2^63-1) & ~511 which is the largest supported by qemu.
start_nbdkit -P memory-largest-for-qemu.pid -U memory-largest-for-qemu.sock \
diff --git a/tests/test-memory-largest.sh b/tests/test-memory-largest.sh
index a6c269e..154b331 100755
--- a/tests/test-memory-largest.sh
+++ b/tests/test-memory-largest.sh
@@ -37,16 +37,12 @@
source ./functions.sh
set -e
+requires qemu-io --version
+
files="memory-largest.out memory-largest.pid memory-largest.sock"
rm -f $files
cleanup_fn rm -f $files
-# Test that...
2019 Jan 23
2
[PATCH v2 nbdkit] tests: Add generic requires.
v1 was here:
https://www.redhat.com/archives/libguestfs/2019-January/thread.html#00198
For v2 I changed most existing prerequisite tests to use the new
mechanism.
I only changed simple tests. There are a few more complex tests that
don't fit the “requires model” and those are not changed.
I normalized qemu-io/qemu-img testing to always use the --version
flag, where previously we used a mix
2018 Sep 13
0
[PATCH v2 nbdkit 5/5] tests: Add a helper function which waits for nbdkit to start up.
...qemu-io -f raw 'nbd+unix://?socket=memory-largest-for-qemu.sock' \
@@ -240,5 +218,3 @@ then
cat memory-largest-for-qemu.out
exit 1
fi
-
-# The cleanup() function is called implicitly on exit.
diff --git a/tests/test-memory-largest.sh b/tests/test-memory-largest.sh
index d2cad1c..a6c269e 100755
--- a/tests/test-memory-largest.sh
+++ b/tests/test-memory-largest.sh
@@ -39,6 +39,7 @@ set -e
files="memory-largest.out memory-largest.pid memory-largest.sock"
rm -f $files
+cleanup_fn rm -f $files
# Test that qemu-io works
if ! qemu-io --help >/dev/null; then
@@ -48,32...
2018 Sep 13
8
[PATCH v2 nbdkit 0/5] tests: Move common functions into tests/functions.sh
v1 was here:
https://www.redhat.com/archives/libguestfs/2018-September/msg00057.html
v2:
- Fix tab vs spaces in configure.ac.
- To generate list of plugins, use printf instead of xargs.
- Use 'source ./functions.sh' instead of 'source functions'.
- functions.sh: Consistent quoting in foreach_plugin function.
- functions.sh: Change the contract of start_nbdkit so it